diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityChest.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityChest.java
index 162af9669..4b48855bf 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityChest.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityChest.java
@@ -35,27 +35,27 @@ public class TileEntityChest extends TileEntity
     }
 
     @Override
-	public @Nullable ItemStack getItem(int index)
+	public @Nullable ItemStack getItem(int slot)
     {
-        return chestContents[index];
+        return chestContents[slot];
     }
 
     @Override
-	public @Nullable ItemStack removeItem(int index, int takeAmount)
+	public @Nullable ItemStack removeItem(int slot, int takeAmount)
     {
-        if(chestContents[index] != null)
+        if(chestContents[slot] != null)
         {
-            if(chestContents[index].stackSize <= takeAmount)
+            if(chestContents[slot].stackSize <= takeAmount)
             {
-                ItemStack itemstack = chestContents[index];
-                chestContents[index] = null;
+                ItemStack itemstack = chestContents[slot];
+                chestContents[slot] = null;
                 setChanged();
                 return itemstack;
             }
-            ItemStack itemstack1 = chestContents[index].splitStack(takeAmount);
-            if(chestContents[index].stackSize <= 0)
+            ItemStack itemstack1 = chestContents[slot].splitStack(takeAmount);
+            if(chestContents[slot].stackSize <= 0)
             {
-                chestContents[index] = null;
+                chestContents[slot] = null;
             }
             setChanged();
             return itemstack1;
@@ -66,18 +66,18 @@ public class TileEntityChest extends TileEntity
     }
 
     @Override
-	public void setItem(int index, @Nullable ItemStack itemstack)
+	public void setItem(int slot, @Nullable ItemStack stack)
     {
-        chestContents[index] = itemstack;
-        if(itemstack != null && itemstack.stackSize > getMaxStackSize())
+        chestContents[slot] = stack;
+        if(stack != null && stack.stackSize > getMaxStackSize())
         {
-            itemstack.stackSize = getMaxStackSize();
+            stack.stackSize = getMaxStackSize();
         }
         setChanged();
     }
 
     @Override
-	public String getNameTranslationKey()
+	public @NotNull String getNameTranslationKey()
     {
         return "container.chest.name";
     }
@@ -123,17 +123,17 @@ public class TileEntityChest extends TileEntity
     }
 
     @Override
-	public boolean stillValid(Player entityplayer)
+	public boolean stillValid(@NotNull Player player)
     {
         if(worldObj == null || worldObj.getTileEntity(x, y, z) != this)
         {
             return false;
         }
-        return entityplayer.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
+        return player.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
     }
 
     @Override
-    public void sortContainer() {
+    public void sort() {
         InventorySorter.sortInventory(chestContents);
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityDispenser.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityDispenser.java
index 2067c9ce9..28def0062 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityDispenser.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityDispenser.java
@@ -35,27 +35,27 @@ public class TileEntityDispenser extends TileEntity
     }
 
     @Override
-	public @Nullable ItemStack getItem(int index)
+	public @Nullable ItemStack getItem(int slot)
     {
-        return dispenserContents[index];
+        return dispenserContents[slot];
     }
 
     @Override
-	public @Nullable ItemStack removeItem(int index, int takeAmount)
+	public @Nullable ItemStack removeItem(int slot, int takeAmount)
     {
-        if(dispenserContents[index] != null)
+        if(dispenserContents[slot] != null)
         {
-            if(dispenserContents[index].stackSize <= takeAmount)
+            if(dispenserContents[slot].stackSize <= takeAmount)
             {
-                ItemStack itemstack = dispenserContents[index];
-                dispenserContents[index] = null;
+                ItemStack itemstack = dispenserContents[slot];
+                dispenserContents[slot] = null;
                 setChanged();
                 return itemstack;
             }
-            ItemStack itemstack1 = dispenserContents[index].splitStack(takeAmount);
-            if(dispenserContents[index].stackSize <= 0)
+            ItemStack itemstack1 = dispenserContents[slot].splitStack(takeAmount);
+            if(dispenserContents[slot].stackSize <= 0)
             {
-                dispenserContents[index] = null;
+                dispenserContents[slot] = null;
             }
             setChanged();
             return itemstack1;
@@ -97,18 +97,18 @@ public class TileEntityDispenser extends TileEntity
     }
 
     @Override
-	public void setItem(int index, @Nullable ItemStack itemstack)
+	public void setItem(int slot, @Nullable ItemStack stack)
     {
-        dispenserContents[index] = itemstack;
-        if(itemstack != null && itemstack.stackSize > getMaxStackSize())
+        dispenserContents[slot] = stack;
+        if(stack != null && stack.stackSize > getMaxStackSize())
         {
-            itemstack.stackSize = getMaxStackSize();
+            stack.stackSize = getMaxStackSize();
         }
         setChanged();
     }
 
     @Override
-	public String getNameTranslationKey()
+	public @NotNull String getNameTranslationKey()
     {
         return "container.dispenser.name";
     }
@@ -155,17 +155,17 @@ public class TileEntityDispenser extends TileEntity
     }
 
     @Override
-	public boolean stillValid(Player entityplayer)
+	public boolean stillValid(@NotNull Player player)
     {
         if(worldObj == null || worldObj.getTileEntity(x, y, z) != this)
         {
             return false;
         }
-        return entityplayer.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
+        return player.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
     }
 
     @Override
-    public void sortContainer() {
+    public void sort() {
         // Do nothing
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFlag.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFlag.java
index 3863e4ff5..8d3c3a8d7 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFlag.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFlag.java
@@ -186,32 +186,32 @@ public class TileEntityFlag extends TileEntity
     }
 
     @Override
-    public @Nullable ItemStack getItem(int index) {
-        index -= 36;
-        if (index < 0 || index >= 3) return null;
+    public @Nullable ItemStack getItem(int slot) {
+        slot -= 36;
+        if (slot < 0 || slot >= 3) return null;
         
-        return items[index];
+        return items[slot];
     }
 
     @Override
-    public @Nullable ItemStack removeItem(int index, int takeAmount) {
-        index -= 36;
-        if (items[index] != null)
+    public @Nullable ItemStack removeItem(int slot, int takeAmount) {
+        slot -= 36;
+        if (items[slot] != null)
         {
-            if (items[index].stackSize <= takeAmount)
+            if (items[slot].stackSize <= takeAmount)
             {
-                ItemStack stack = items[index];
-                items[index] = null;
+                ItemStack stack = items[slot];
+                items[slot] = null;
                 itemsChanges();
                 setChanged();
                 return stack;
             }
             else
             {
-                ItemStack splitStack = items[index].splitStack(takeAmount);
-                if (items[index].stackSize <= 0)
+                ItemStack splitStack = items[slot].splitStack(takeAmount);
+                if (items[slot].stackSize <= 0)
                 {
-                    items[index] = null;
+                    items[slot] = null;
                 }
                 itemsChanges();
                 setChanged();
@@ -230,10 +230,10 @@ public class TileEntityFlag extends TileEntity
     }
 
     @Override
-    public void setItem(int index, @Nullable ItemStack stack)
+    public void setItem(int slot, @Nullable ItemStack stack)
     {
-        index -= 36; // This seems so wrong and will almost certainly cause an issue at some point
-        items[index] = stack;
+        slot -= 36; // This seems so wrong and will almost certainly cause an issue at some point
+        items[slot] = stack;
         itemsChanges();
         setChanged();
     }
@@ -250,7 +250,7 @@ public class TileEntityFlag extends TileEntity
     }
 
     @Override
-    public String getNameTranslationKey()
+    public @NotNull String getNameTranslationKey()
     {
         return "container.flag.name";
     }
@@ -262,17 +262,17 @@ public class TileEntityFlag extends TileEntity
     }
 
     @Override
-    public boolean stillValid(Player entityplayer)
+    public boolean stillValid(@NotNull Player player)
     {
         if(worldObj == null || worldObj.getTileEntity(x, y, z) != this)
         {
             return false;
         }
-        return entityplayer.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
+        return player.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
     }
 
     @Override
-    public void sortContainer() {
+    public void sort() {
         // Do nothing
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFurnace.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFurnace.java
index 9750e5a6f..e3b96734f 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFurnace.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFurnace.java
@@ -48,30 +48,30 @@ public class TileEntityFurnace extends TileEntity
     }
 
     @Override
-	public @Nullable ItemStack getItem(int index)
+	public @Nullable ItemStack getItem(int slot)
     {
-        return furnaceItemStacks[index];
+        return furnaceItemStacks[slot];
     }
 
     @Override
-	public @Nullable ItemStack removeItem(int index, int takeAmount)
+	public @Nullable ItemStack removeItem(int slot, int takeAmount)
     {
-        if(furnaceItemStacks[index] != null)
+        if(furnaceItemStacks[slot] != null)
         {
-            if(furnaceItemStacks[index].stackSize <= takeAmount)
+            if(furnaceItemStacks[slot].stackSize <= takeAmount)
             {
-                ItemStack itemstack = furnaceItemStacks[index];
-                furnaceItemStacks[index] = null;
-                if (worldObj != null && index == 2) {
+                ItemStack itemstack = furnaceItemStacks[slot];
+                furnaceItemStacks[slot] = null;
+                if (worldObj != null && slot == 2) {
                     worldObj.markBlockNeedsUpdate(x, y, z);
                 }
                 return itemstack;
             }
-            ItemStack itemstack1 = furnaceItemStacks[index].splitStack(takeAmount);
-            if(furnaceItemStacks[index].stackSize <= 0)
+            ItemStack itemstack1 = furnaceItemStacks[slot].splitStack(takeAmount);
+            if(furnaceItemStacks[slot].stackSize <= 0)
             {
-                furnaceItemStacks[index] = null;
-                if (worldObj != null && index == 2) {
+                furnaceItemStacks[slot] = null;
+                if (worldObj != null && slot == 2) {
                     worldObj.markBlockNeedsUpdate(x, y, z);
                 }
             }
@@ -83,20 +83,20 @@ public class TileEntityFurnace extends TileEntity
     }
 
     @Override
-	public void setItem(int index, @Nullable ItemStack itemstack)
+	public void setItem(int slot, @Nullable ItemStack stack)
     {
-        furnaceItemStacks[index] = itemstack;
-        if(itemstack != null && itemstack.stackSize > getMaxStackSize())
+        furnaceItemStacks[slot] = stack;
+        if(stack != null && stack.stackSize > getMaxStackSize())
         {
-            itemstack.stackSize = getMaxStackSize();
+            stack.stackSize = getMaxStackSize();
         }
-        if (worldObj != null && index == 2 && itemstack == null) {
+        if (worldObj != null && slot == 2 && stack == null) {
             worldObj.markBlockNeedsUpdate(x, y, z);
         }
     }
 
     @Override
-	public String getNameTranslationKey()
+	public @NotNull String getNameTranslationKey()
     {
         return "container.furnace.name";
     }
@@ -321,13 +321,13 @@ public class TileEntityFurnace extends TileEntity
     }
 
     @Override
-	public boolean stillValid(Player entityplayer)
+	public boolean stillValid(@NotNull Player player)
     {
         if(worldObj == null || worldObj.getTileEntity(x, y, z) != this)
         {
             return false;
         }
-        return entityplayer.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
+        return player.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
     }
 
     @Override
@@ -379,7 +379,7 @@ public class TileEntityFurnace extends TileEntity
     }
 
     @Override
-    public void sortContainer() {
+    public void sort() {
         // Do nothing
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFurnaceBlast.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFurnaceBlast.java
index 1708d3187..92f9329b4 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFurnaceBlast.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFurnaceBlast.java
@@ -56,25 +56,25 @@ public class TileEntityFurnaceBlast extends TileEntity
     }
 
     @Override
-    public @Nullable ItemStack getItem(final int index) {
-        return this.inventory[index];
+    public @Nullable ItemStack getItem(final int slot) {
+        return this.inventory[slot];
     }
 
     @Override
-    public @Nullable ItemStack removeItem(final int index, final int takeAmount) {
-        if (this.inventory[index] != null) {
-            if (this.inventory[index].stackSize <= takeAmount) {
-                final ItemStack itemstack = this.inventory[index];
-                this.inventory[index] = null;
-                if (this.worldObj != null && index == SLOT_RESULT) {
+    public @Nullable ItemStack removeItem(final int slot, final int takeAmount) {
+        if (this.inventory[slot] != null) {
+            if (this.inventory[slot].stackSize <= takeAmount) {
+                final ItemStack itemstack = this.inventory[slot];
+                this.inventory[slot] = null;
+                if (this.worldObj != null && slot == SLOT_RESULT) {
                     this.worldObj.markBlockNeedsUpdate(this.x, this.y, this.z);
                 }
                 return itemstack;
             }
-            final ItemStack itemstack1 = this.inventory[index].splitStack(takeAmount);
-            if (this.inventory[index].stackSize <= 0) {
-                this.inventory[index] = null;
-                if (this.worldObj != null && index == SLOT_RESULT) {
+            final ItemStack itemstack1 = this.inventory[slot].splitStack(takeAmount);
+            if (this.inventory[slot].stackSize <= 0) {
+                this.inventory[slot] = null;
+                if (this.worldObj != null && slot == SLOT_RESULT) {
                     this.worldObj.markBlockNeedsUpdate(this.x, this.y, this.z);
                 }
             }
@@ -85,18 +85,18 @@ public class TileEntityFurnaceBlast extends TileEntity
     }
 
     @Override
-    public void setItem(final int index, @Nullable final ItemStack itemstack) {
-        this.inventory[index] = itemstack;
-        if (itemstack != null && itemstack.stackSize > getMaxStackSize()) {
-            itemstack.stackSize = getMaxStackSize();
+    public void setItem(final int slot, @Nullable final ItemStack stack) {
+        this.inventory[slot] = stack;
+        if (stack != null && stack.stackSize > getMaxStackSize()) {
+            stack.stackSize = getMaxStackSize();
         }
-        if (this.worldObj != null && index == SLOT_RESULT && itemstack == null) {
+        if (this.worldObj != null && slot == SLOT_RESULT && stack == null) {
             this.worldObj.markBlockNeedsUpdate(this.x, this.y, this.z);
         }
     }
 
     @Override
-    public String getNameTranslationKey() {
+    public @NotNull String getNameTranslationKey() {
         return "container.furnace_blast.name";
     }
 
@@ -286,11 +286,11 @@ public class TileEntityFurnaceBlast extends TileEntity
     }
 
     @Override
-    public boolean stillValid(final Player entityplayer) {
+    public boolean stillValid(final @NotNull Player player) {
         if (this.worldObj == null || this.worldObj.getTileEntity(this.x, this.y, this.z) != this) {
             return false;
         }
-        return entityplayer.distanceToSqr((double) this.x + 0.5D, (double) this.y + 0.5D, (double) this.z + 0.5D) <= 64D;
+        return player.distanceToSqr((double) this.x + 0.5D, (double) this.y + 0.5D, (double) this.z + 0.5D) <= 64D;
     }
 
     @Override
@@ -334,7 +334,7 @@ slotLoop:   for (int slot = 0; slot < this.getContainerSize(); slot++) {
     }
 
     @Override
-    public void sortContainer() {
+    public void sort() {
         // Do nothing
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMeshGold.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMeshGold.java
index c31b65acb..d5564e64c 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMeshGold.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMeshGold.java
@@ -28,7 +28,7 @@ public class TileEntityMeshGold extends TileEntity {
     public boolean setFilterItem(Player player, @Nullable ItemStack stack){
         boolean success = false;
         boolean wasNull = filterItem == null;
-        if (filterItem != null && player.getGamemode().consumeBlocks()){
+        if (filterItem != null && player.getGamemode().hasBlockConsumption()){
             player.inventory.insertItem(filterItem, true);
             if (filterItem.stackSize > 0) {
                 player.dropPlayerItem(filterItem);
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityTrommel.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityTrommel.java
index 4b57e83e5..a79f03de4 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityTrommel.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityTrommel.java
@@ -61,26 +61,26 @@ public class TileEntityTrommel extends TileEntity
     }
 
     @Override
-	public @Nullable ItemStack getItem(int index)
+	public @Nullable ItemStack getItem(int slot)
     {
-        return itemStacks[index];
+        return itemStacks[slot];
     }
 
     @Override
-	public @Nullable ItemStack removeItem(int index, int takeAmount)
+	public @Nullable ItemStack removeItem(int slot, int takeAmount)
     {
-        if(itemStacks[index] != null)
+        if(itemStacks[slot] != null)
         {
-            if(itemStacks[index].stackSize <= takeAmount)
+            if(itemStacks[slot].stackSize <= takeAmount)
             {
-                ItemStack itemstack = itemStacks[index];
-                itemStacks[index] = null;
+                ItemStack itemstack = itemStacks[slot];
+                itemStacks[slot] = null;
                 return itemstack;
             }
-            ItemStack itemstack1 = itemStacks[index].splitStack(takeAmount);
-            if(itemStacks[index].stackSize <= 0)
+            ItemStack itemstack1 = itemStacks[slot].splitStack(takeAmount);
+            if(itemStacks[slot].stackSize <= 0)
             {
-                itemStacks[index] = null;
+                itemStacks[slot] = null;
             }
             return itemstack1;
         } else
@@ -90,17 +90,17 @@ public class TileEntityTrommel extends TileEntity
     }
 
     @Override
-	public void setItem(int index, @Nullable ItemStack itemstack)
+	public void setItem(int slot, @Nullable ItemStack stack)
     {
-        itemStacks[index] = itemstack;
-        if(itemstack != null && itemstack.stackSize > getMaxStackSize())
+        itemStacks[slot] = stack;
+        if(stack != null && stack.stackSize > getMaxStackSize())
         {
-            itemstack.stackSize = getMaxStackSize();
+            stack.stackSize = getMaxStackSize();
         }
     }
 
     @Override
-	public String getNameTranslationKey()
+	public @NotNull String getNameTranslationKey()
     {
         return "container.trommel.name";
     }
@@ -387,17 +387,17 @@ public class TileEntityTrommel extends TileEntity
     }
 
     @Override
-	public boolean stillValid(Player entityplayer)
+	public boolean stillValid(@NotNull Player player)
     {
         if(worldObj == null || worldObj.getTileEntity(x, y, z) != this)
         {
             return false;
         }
-        return entityplayer.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
+        return player.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) <= 64D;
     }
 
     @Override
-    public void sortContainer() {
+    public void sort() {
         // Do nothing
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java b/game/core/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
index c2442ba8e..45dcb024f 100644
--- a/game/core/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
+++ b/game/core/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
@@ -135,7 +135,7 @@ public class TreecapitatorHelper {
 			ChunkPosition pos = allBlocksList.get(i);
 			Block<?> block = world.getBlock(pos.x, pos.y, pos.z);
 			if(block != null && block.getLogic() instanceof BlockLogicLeavesBase) {
-				if(player.getGamemode().dropBlockOnBreak()) {
+				if(player.getGamemode().hasItemDrops()) {
 					ItemStack[] drops = block.getBreakResult(world, EnumDropCause.PROPER_TOOL, pos.x, pos.y, pos.z, world.getBlockMetadata(pos.x, pos.y, pos.z), null);
 					if(itemList != null) {
 						itemList.addAll(drops);
@@ -198,7 +198,7 @@ public class TreecapitatorHelper {
 		if(world.setBlockWithNotify(pos.x, pos.y, pos.z, 0)) {
 			int meta = world.getBlockMetadata(pos.x, pos.y, pos.z);
 			ItemStack[] drops = block.getBreakResult(world, EnumDropCause.PROPER_TOOL, pos.x, pos.y, pos.z, meta, null);
-			if(player.getGamemode().dropBlockOnBreak()) {
+			if(player.getGamemode().hasItemDrops()) {
 				if(itemList != null) {
 					itemList.addAll(drops);
 				}else {
